#!/bin/sh
# Show all the colors of the rainbow, should be run under bash
# set font style, i.e. bold, etc. 
for STYLE in 0 1 2 3 4 5 6 7; do
  # set foreground color  
  for FG in 30 31 32 33 34 35 36 37; do
    # set background color 
    for BG in 40 41 42 43 44 45 46 47; do
      CTRL="\033[${STYLE};${FG};${BG}m"
      echo -en "${CTRL}"
      echo -n "${STYLE};${FG};${BG}"
      echo -en "\033[0m"
    done
    echo
  done
  echo
done

# Reset to the originals:
echo -e "\033[0m"

#
# Example: Bright Blue on blue background: 
# echo -en "\033[1;36;44m"
